Affiliates
Approve affiliate application
Developer API operation for POST /dev/v1/affiliates/applications//approve.
POST
/
dev
/
v1
/
affiliates
/
applications
/
{id}
/
approve
Approve affiliate application
curl --request POST \
--url https://api.shoppex.io/dev/v1/affiliates/applications/{id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"affiliate_revenue_percent_override": 123,
"affiliate_customer_discount_percent_override": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliate_revenue_percent_override: 123,
affiliate_customer_discount_percent_override: 123
})
};
fetch('https://api.shoppex.io/dev/v1/affiliates/applications/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/affiliates/applications/{id}/approve"
payload = {
"affiliate_revenue_percent_override": 123,
"affiliate_customer_discount_percent_override": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/affiliates/applications/{id}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'affiliate_revenue_percent_override' => 123,
'affiliate_customer_discount_percent_override' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/affiliates/applications/{id}/approve"
payload := strings.NewReader("{\n \"affiliate_revenue_percent_override\": 123,\n \"affiliate_customer_discount_percent_override\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"application": {
"id": "app_1",
"customer_id": "cus_2",
"status": "approved",
"code": "pending-creator",
"url": "https://demo.shoppex.io?via=pending-creator",
"updated_at": "2026-03-15T12:00:00.000Z"
}
}
}Authorizations
Use your Shoppex API key in the Authorization header.
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
200 - application/json
Successful response
⌘I
Approve affiliate application
